// JavaScript Document
exports.gemini = async function (options, name) {
    const { GoogleGenerativeAI } = require("@google/generative-ai");

    // Access your API key as an environment variable (see "Set up your API key" above)
    const genAI = new GoogleGenerativeAI(process.env.GEMINI_API_KEY);

    const model = genAI.getGenerativeModel({ model: options.gemini_service });
    const prompt = this.parseRequired(options.myquestion, '*', 'No question asked')
    async function run(prompt) {
        const result = await model.generateContent(prompt);
        const response = await result.response;
        const text = response.text();
        return text
    }
    const result = await run(prompt);
    return { "result": result }
}

